Permalink
Browse files

Version 0.0.4.

  • Loading branch information...
1 parent 33826e6 commit 6d1cf3d0de52e41189464b5cd3d252a270177837 @mvz committed Mar 31, 2012
Showing with 3 additions and 8 deletions.
  1. +2 −7 README.rdoc
  2. +1 −1 lib/ripper_ruby_parser/version.rb
View
@@ -12,19 +12,14 @@ Parse with Ripper, produce sexps that are compatible with RubyParser.
* Drop-in replacement for RubyParser.
* Should handle 1.9 syntax gracefully.
-* Only tested with MRI 1.9.3. Definitely does not work with the ripper gem for
- MRI 1.8.
-* Many edge cases are surely not yet taken care of (but hey, it's version
- 0.0.1).
+* Needs MRI 1.9.3.
== Install
* gem install ripper_ruby_parser
== Synopsis
-Basic usage:
-
require 'ripper_ruby_parser'
parser = RipperRubyParser::Parser.new
@@ -34,7 +29,7 @@ Basic usage:
== Requirements
-* Ruby 1.9.3. It may work with lower 1.9 versions. Let me know if it does.
+* Ruby 1.9.3.
* sexp_processor
== Hacking and contributing
@@ -1,3 +1,3 @@
module RipperRubyParser
- VERSION = '0.0.3'
+ VERSION = '0.0.4'
end

0 comments on commit 6d1cf3d

Please sign in to comment.